package com.ruoyi.projectCost.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.projectCost.mapper.ProjectCostMapper;
import com.ruoyi.projectCost.domain.ProjectCost;
import com.ruoyi.projectCost.service.IProjectCostService;

/**
 * projectCostService业务层处理
 *
 * @author ruoyi
 * @date 2023-08-14
 */
@Service
public class ProjectCostServiceImpl implements IProjectCostService {
    @Autowired
    private ProjectCostMapper projectCostMapper;

    /**
     * 查询projectCost
     *
     * @param id projectCost主键
     * @return projectCost
     */
    @Override
    public ProjectCost selectProjectCostById(Long id) {
        return projectCostMapper.selectProjectCostById(id);
    }

    /**
     * 查询projectCost列表
     *
     * @param projectCost projectCost
     * @return projectCost
     */
    @Override
    public List<ProjectCost> selectProjectCostList(ProjectCost projectCost) {
        return projectCostMapper.selectProjectCostList(projectCost);
    }

    /**
     * 新增projectCost
     *
     * @param projectCost projectCost
     * @return 结果
     */
    @Override
    public int insertProjectCost(ProjectCost projectCost) {
        return projectCostMapper.insertProjectCost(projectCost);
    }

    /**
     * 修改projectCost
     *
     * @param projectCost projectCost
     * @return 结果
     */
    @Override
    public int updateProjectCost(ProjectCost projectCost) {
        return projectCostMapper.updateProjectCost(projectCost);
    }

    /**
     * 批量删除projectCost
     *
     * @param ids 需要删除的projectCost主键
     * @return 结果
     */
    @Override
    public int deleteProjectCostByIds(Long[] ids) {
        return projectCostMapper.deleteProjectCostByIds(ids);
    }

    /**
     * 删除projectCost信息
     *
     * @param id projectCost主键
     * @return 结果
     */
    @Override
    public int deleteProjectCostById(Long id) {
        return projectCostMapper.deleteProjectCostById(id);
    }

    /**
     * 批量新增projectCost
     *
     * @param projectCosts projectCosts
     * @return 结果
     */
    @Override
    public boolean insertBatchProjectCost(List<ProjectCost> projectCosts) {
        return projectCostMapper.insertBatchProjectCost(projectCosts);
    }
}
